--
-- $Id$
--
-- Kostensoort wijzigen van facturen 29730 en 29634 naar CF EIG BOUW PL

DEFINE thisfile = 'AASA#40359.SQL'
DEFINE dbuser   = '^AASA'
DEFINE custid   = 'AASA'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

UPDATE fin_factuur
   SET prs_kostensoort_key = 221
 WHERE fin_factuur_key IN (29730, 29634);


INSERT INTO fac_tracking (fac_tracking_datum,
                          fac_srtnotificatie_key,
                          fac_tracking_refkey,
                          fac_tracking_oms)
   SELECT SYSDATE,
          89,
          fin_factuur_key,
          'Kostensoort op verzoek van AAFM aanpepast naar CF EIG BOUW PL-1.4.10.1.1 - Bouwkundig Planmatig eigenaar'
     FROM fin_factuur
    WHERE fin_factuur_key IN (29730, 29634);

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile

-- @@ &custid